Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SecretChatStatePending

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SecretChatState
it.tdlight.jni.TdApi.SecretChatStatePending

Enclosing class:
  TdApi

public static final class TdApi.SecretChatStatePending extends TdApi.SecretChatState
The secret chat is not yet created; waiting for the other user to get online.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`SecretChatStatePending()`
The secret chat is not yet created; waiting for the other user to get online.
`SecretChatStatePending(DataInput input)`
The secret chat is not yet created; waiting for the other user to get online.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SecretChatStatePending

public SecretChatStatePending()
The secret chat is not yet created; waiting for the other user to get online.

### SecretChatStatePending

public SecretChatStatePending(DataInput input) throws IOException
The secret chat is not yet created; waiting for the other user to get online.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`